<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0003SPickupTreeViewBase from './ibizsample0003-spickup-tree-view-base.vue';

import view_tree from '@widgets/ibizsample0003/tree03-treeview/tree03-treeview.vue';
@Component({
    components: {
        view_tree, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0003SPickupTreeView extends IBIZSample0003SPickupTreeViewBase {

}
</script>